Bug 1918792 - [BUG] Thanos having possible memory leak consuming huge amounts of node's memory and killing them
Summary: [BUG] Thanos having possible memory leak consuming huge amounts of node's mem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6.z
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
: 1918827 (view as bug list)
Depends On: 1906496
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 14:53 UTC by Sergiusz Urbaniak
Modified: 2021-05-06 11:43 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1906496
Environment:
Last Closed: 2021-02-08 13:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift thanos pull 47 0 None closed Bug 1918792: pkg/rules/proxy: fix hotlooping when receiving client errors 2021-02-19 08:28:56 UTC
Red Hat Knowledge Base (Solution) 5685771 0 None None None 2021-05-06 11:43:22 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:57 UTC

Comment 3 Junqi Zhao 2021-01-29 05:58:09 UTC
upgrade from 4.5.30 to 4.6.0-0.nightly-2021-01-28-234643, memory usage for thanos-querier does not increase too much during the whole upgrade process

Comment 7 errata-xmlrpc 2021-02-08 13:51:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308

Comment 8 Ryan Phillips 2021-02-09 21:32:49 UTC
*** Bug 1918827 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.